package me.teridax.jcash.gui.deposit;

import me.teridax.jcash.banking.Account;

public class DepositDialog {

    public DepositDialog(Account account, Runnable onDeposit) {
        var view = new DepositView(account);
        view.getDeposit().addActionListener(e -> {
            account.deposit(view.getAmount());
            onDeposit.run();
            view.dispose();
        });
        view.getCancel().addActionListener(e -> view.dispose());
        view.showDialog();
    }
}
